Loading...
Searching...
No Matches
TaQLNode.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/tables/TaQL/TaQLNodeRep.h>`
`#include <casacore/tables/TaQL/TaQLStyle.h>`
`#include <iostream>`
`#include <mutex>`
`#include <vector>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | casacore::TaQLNode
| More...
class | casacore::TaQLConstNode
| Envelope class for a node containing a constant value. More...
class | casacore::TaQLRegexNode
| Envelope class for a node containing a constant regex value. More...
class | casacore::TaQLMultiNode
| Envelope class for a node containing a list of nodes. More...
class | casacore::TaQLQueryNode
| Envelope class for a node containing a selection command. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines